
Ruby - Bug #655

Query part lost when using Net::HTTP.post_form function

10/17/2008 04:14 PM - klesh (Klesh Wong)

Status: Closed   

Priority: Normal   

Assignee: nahi (Hiroshi Nakamura)   

Target version:    

ruby -v: should be the latest at that time Backport:  

Description

=begin

when posting data by following code:

require 'net/http'

require 'uri'

response = Net::HTTP.post_form URI.parse('http://localhost/api.asp?Action=Check'), {'name'=>'value'}

puts response.body

query part ("Action=Check" in this case) are not attached.

server side receive a request /api.asp without query.

problem could be solved by simple change post_form code:

req = Post.new(url.path)

to

req = Post.new(url.request_uri)

i'm not sure it is a bug or i mis-understand, if i do, is there anyway to post form with query, for i need to deal with some Third Part

API.

=end

Associated revisions

Revision 800c313b - 06/21/2011 05:44 PM - Hiroshi Nakamura 

lib/net/http.rb (Net::HTTP.post_form): Do not ignore query part of

the given URI to post. See #655.

test/net/http/test_http.rb, test/net/http/utils.rb: Test it.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32192 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/03/2009 11:50 AM - shyouhei (Shyouhei Urabe)

- Assignee set to aamine (Minero Aoki)

=begin

=end

#2 - 09/08/2010 02:21 PM - nahi (Hiroshi Nakamura)

- Category set to lib

- Assignee changed from aamine (Minero Aoki) to nahi (Hiroshi Nakamura)

- ruby -v set to should be the latest at that time

=begin

=end
#3 - 09/14/2010 04:52 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

=begin

=end

#4 - 11/25/2010 01:07 PM - meta (mathew murphy)

=begin

Note that you'll need to decide whether you want to comply with the HTTP spec, or with RFC 3986. See 

http://lpar.ath0.com/2008/10/26/rfc-3986-considered-harmful/

=end

#5 - 06/22/2011 01:58 AM - nahi (Hiroshi Nakamura)

- Project changed from 2 to Ruby

- Category changed from lib to lib

#6 - 06/22/2011 02:47 AM - nahi (Hiroshi Nakamura)

- Status changed from Assigned to Closed

mathew: Interesting read. Thanks. I decided to not decide and let users choose, by allowing to include query part as a request URI.

Powered by TCPDF (www.tcpdf.org)

05/12/2025 2/2

http://lpar.ath0.com/2008/10/26/rfc-3986-considered-harmful/
http://www.tcpdf.org

